package com.logicbig.example.app;


import com.logicbig.example.client.Buyer;
import com.logicbig.example.client.Wholesaler;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@ComponentScan(basePackages = {"com.logicbig.example.client","com.logicbig.example.service"})
public class OnlineOrderApp {

    public static void main(String... strings) {
        AnnotationConfigApplicationContext context =
                new AnnotationConfigApplicationContext(OnlineOrderApp.class);
        System.out.println("-- Spring container started and is ready --");
        Buyer buyer = context.getBean(Buyer.class);
        buyer.buySomething();

        Wholesaler wholesaler = context.getBean(Wholesaler.class);
        wholesaler.buySomethingInBulk();
    }
}